Subject: Re: new zsh build hang on sparkylinux (essentially debian test)
From: Bart Schaefer <[email-masked]>
To: Zsh hackers list <[email-masked]>
Date: Wed, 11 May 2016 18:57:06 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On May 11, 2016 6:08 PM, "Vin Shelton" <[email-masked]> wrote:
>
> I just installed the most recent version of sparky linux (it is based on
> debian testing).  I built zsh and the newly-built zsh hangs.

> open("/lib/x86_64-linux-gnu/libnss_compat.so.2", O_RDONLY|O_CLOEXEC) = 11
> read(11,
> "\177ELF\2\1\1\0\0\0\0\0\0\0\0\0\3\0>\0\1\0\0\0\320\22\0\0\0\0\0\0"...,
> 832) = 832
> fstat(11, {st_mode=S_IFREG|0644, st_size=31616, ...}) = 0

My best guess is that's attempting to do getpwnam() but the (simulated?)
NSS query is not returning.